#include "xanimdeltapart.h"

XAnimDeltaPart::XAnimDeltaPart()
    : XAsset()
    , mTrans()
    , mQuat()
{
    SetName("Animation Delta Part");
}

void XAnimDeltaPart::ParseData(XDataStream *aStream) {
    if (GetPtr() == -1) {
        mTrans.ParsePtr(aStream);
        mQuat.ParsePtr(aStream);
    }
}

void XAnimDeltaPart::Clear()
{
    mTrans.Clear();
    mQuat.Clear();
}

const XAnimPartTrans& XAnimDeltaPart::GetTrans() const {
    return mTrans;
}

void XAnimDeltaPart::SetTrans(const XAnimPartTrans& trans) {
    mTrans = trans;
}

const XAnimDeltaPartQuat& XAnimDeltaPart::GetQuat() const {
    return mQuat;
}

void XAnimDeltaPart::SetQuat(const XAnimDeltaPartQuat& quat) {
    mQuat = quat;
}





